8e59718657234c1f9c51fe3cd612c89e

Доступны корректирующие выпуски языка программирования PHP 5.6.9, 5.5.25 и 5.4.41, в которых устранены семь уязвимостей и исправлено около десяти ошибок.В частности, устранены: переполнение буфера при распаковке специально оформленных данных функцией unpack(), повреждение памяти в функции str_repeat(), отказ в обслуживании через создание большой нагрузки на CPU при обработке заголовков multipart/form, целочисленное переполнение в функции ftp_genlist(), подстановка символов с нулевым кодом для разделения файлового пути в pcntl_exec(), повреждение памяти в phar_parse_tarfile при обработке имён файлов, начинающихся с нулевого символа, некорректное устранение уязвимости CVE-2006-7243.

 

 Оставить комментарий

(обязательно)

(обязательно)

   
Copyright © 2012. Linuxguru.ru